{% extends 'hkm/base_browse.html' %}
{% load i18n %}
{% load hkm_tags %}

{% block banner %}

  <div class="page-header">
    <div class="fullsize-container">
      <h1 class="public-collections__title">{% trans 'Browse albums' %}</h1>
      <div class=public-collections__content>
        <div class="public-collections__wrapper">
          {% for collection in featured_collections %}
          <a class="card-link" href="{% url 'hkm_collection' collection_id=collection.id %}">
            <div class="card">
              {% with images=collection|display_images %}
              {% if images|length == 1 %}
              <div class="card-image__fullsize" style="background-image: url('{{ images.0 }}')"></div>
              {% else %}
              {% for image_url in images %}
              <div class="card-image" style="background-image:url('{{ image_url }}')"></div>
              {% endfor %}
              {% endif%}
              {% endwith%}
              <div class="card-meta">
                <span class="card-meta__title">
                  {{ collection.title }}
                </span>
                <span class="card-meta__owner">
                  {% include 'hkm/snippets/museum_logo.html' with alt="museum" class="public-collections__svg" %}
                </span>
              </div>
            </div>
          </a>
          {% endfor %}
        </div>
      </div>
    </div>
  </div>

{% endblock %}

{% block content %}

  <div class="fullsize-container">
      <div class="public-collections__wrapper">
        {% for collection in collections %}
          {% if collection.records.all %}
            <a class="card-link" href="{% url 'hkm_collection' collection_id=collection.id %}">
              <div class="card">
                {% with images=collection|display_images %}
                {% if images|length == 1 %}
                <div class="card-image__fullsize" style="background-image: url('{{ images.0 }}')"></div>
                {% else %}
                {% for image_url in images %}
                <div class="card-image" style="background-image:url('{{ image_url }}')"></div>
                {% endfor %}
                {% endif%}
                {% endwith%}
                <div class="card-meta">
                  <div class="card-meta__title">
                    {{ collection.title }}
                  </div>
                  <span class="card-meta__owner">
                    <img src="/static/hkm/svg/Person.svg" alt="user-icon" class="public-collections__svg-person">
                    {{ collection.owner }}
                  </span>
                </div>
              </div>
            </a>
          {% endif %}
        {% endfor %}
      </div>
  </div> <!-- Container -->

{% endblock %}
